POST api/v1/PlayActivities

Request Information

URI Parameters

None.

Body Parameters

PlayActivity
NameDescriptionTypeAdditional information
Id

integer

None.

Type

byte

None.

Title

string

None.

Description

string

None.

Materials

string

None.

Steps

string

None.

DurationMin

integer

None.

AgeMinMonths

integer

None.

AgeMaxMonths

integer

None.

Skills

string

None.

Difficulty

byte

None.

ImageUrl

string

None.

ContentUrl

string

None.

DisplayOrder

integer

None.

IsActive

boolean

None.

IsDeleted

boolean

None.

CreatedAt

date

None.

UpdatedAt

date

None.

ChildActivityStatus

Collection of ChildActivityStatus

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "type": 64,
  "title": "sample string 3",
  "description": "sample string 4",
  "materials": "sample string 5",
  "steps": "sample string 6",
  "durationMin": 1,
  "ageMinMonths": 7,
  "ageMaxMonths": 1,
  "skills": "sample string 8",
  "difficulty": 64,
  "imageUrl": "sample string 9",
  "contentUrl": "sample string 10",
  "displayOrder": 1,
  "isActive": true,
  "isDeleted": true,
  "createdAt": "2026-04-18T15:02:50.9117769+03:00",
  "updatedAt": "2026-04-18T15:02:50.9117769+03:00",
  "childActivityStatus": [
    {
      "id": 1,
      "childId": 2,
      "activityId": 3,
      "timesDone": 1,
      "lastDoneAt": "2026-04-18T15:02:50.9117769+03:00",
      "notes": "sample string 4",
      "createdAt": "2026-04-18T15:02:50.9117769+03:00",
      "updatedAt": "2026-04-18T15:02:50.9117769+03:00"
    },
    {
      "id": 1,
      "childId": 2,
      "activityId": 3,
      "timesDone": 1,
      "lastDoneAt": "2026-04-18T15:02:50.9117769+03:00",
      "notes": "sample string 4",
      "createdAt": "2026-04-18T15:02:50.9117769+03:00",
      "updatedAt": "2026-04-18T15:02:50.9117769+03:00"
    }
  ]
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.